function buttonreloadLIB(hObject, eventdata, emptybutton, Button, Axes, t, Info, calcs)
data = get(emptybutton,'UserData');

load([calcs,'/FACPACKlibrary.mat']);

dat = [];
for i=1:length(lib)
    dat{i,1} = false;
    dat{i,2} = lib(i).name;
    dat{i,3} = num2str(length(lib(i).a),'%d');
    dat{i,4} = lib(i).date;
    dat{i,5} = lib(i).module;
    dat{i,6} = 'original';
end

set(t, 'Data', dat);

for i=2:7
    set(Info(i),'String','');
end

data.isselected = 0;
data.lib = lib;

plot(Axes,1,0,'w');

set(emptybutton,'UserData',data);
